log4cplus::helpers::SocketBuffer Class Reference

`#include <socketbuffer.h>`

## Public Member Functions

| SocketBuffer (std::size_t max)
virtual | ~SocketBuffer ()
char * | getBuffer () const
std::size_t | getMaxSize () const
std::size_t | getSize () const
void | setSize (std::size_t s)
std::size_t | getPos () const
unsigned char | readByte ()
unsigned short | readShort ()
unsigned int | readInt ()
tstring | readString (unsigned char sizeOfChar)
void | appendByte (unsigned char val)
void | appendShort (unsigned short val)
void | appendInt (unsigned int val)
void | appendString (const tstring &str)
void | appendBuffer (const SocketBuffer &buffer)

## Detailed Description

Definition at line 42 of file socketbuffer.h.

## Constructor & Destructor Documentation

## SocketBuffer()

log4cplus::helpers::SocketBuffer::SocketBuffer | ( | std::size_t | max | ) |

explicit

Referenced by appendBuffer().

## ~SocketBuffer()

virtual log4cplus::helpers::SocketBuffer::~SocketBuffer | ( |  | ) |

virtual

## Member Function Documentation

## appendBuffer()

void log4cplus::helpers::SocketBuffer::appendBuffer | ( | const SocketBuffer & | buffer | ) |

References SocketBuffer().

## appendByte()

void log4cplus::helpers::SocketBuffer::appendByte | ( | unsigned char | val | ) |

## appendInt()

void log4cplus::helpers::SocketBuffer::appendInt | ( | unsigned int | val | ) |

## appendShort()

void log4cplus::helpers::SocketBuffer::appendShort | ( | unsigned short | val | ) |

## appendString()

void log4cplus::helpers::SocketBuffer::appendString | ( | const tstring & | str | ) |

## getBuffer()

char * log4cplus::helpers::SocketBuffer::getBuffer | ( |  | ) | const

inline

Definition at line 48 of file socketbuffer.h.

## getMaxSize()

std::size_t log4cplus::helpers::SocketBuffer::getMaxSize | ( |  | ) | const

inline

Definition at line 49 of file socketbuffer.h.

## getPos()

std::size_t log4cplus::helpers::SocketBuffer::getPos | ( |  | ) | const

inline

Definition at line 52 of file socketbuffer.h.

## getSize()

std::size_t log4cplus::helpers::SocketBuffer::getSize | ( |  | ) | const

inline

Definition at line 50 of file socketbuffer.h.

## readByte()

unsigned char log4cplus::helpers::SocketBuffer::readByte | ( |  | ) |

## readInt()

unsigned int log4cplus::helpers::SocketBuffer::readInt | ( |  | ) |

## readShort()

unsigned short log4cplus::helpers::SocketBuffer::readShort | ( |  | ) |

## readString()

tstring log4cplus::helpers::SocketBuffer::readString | ( | unsigned char | sizeOfChar | ) |

## setSize()

void log4cplus::helpers::SocketBuffer::setSize | ( | std::size_t | s | ) |

inline

Definition at line 51 of file socketbuffer.h.

The documentation for this class was generated from the following file:

- socketbuffer.h